Bug 19704 - prefdm doesn't select display manager correctly
prefdm doesn't select display manager correctly
Product: Red Hat Linux
Classification: Retired
Component: xinitrc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2000-10-24 13:58 EDT by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-27 15:01:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-24 13:58:36 EDT
When reading the desktop file prefdm uses the = operator, which is assignment, to determine if there is a match between the symbol 
DESKTOP and the known display managers.  However, it should be == which is comparison.  prefdm always selected gnome.
Comment 1 Tim Waugh 2000-10-27 10:31:38 EDT
In a [ test like this ] a single = is a comparison. (man test)

What do you have in /etc/sysconfig/desktop?
Comment 2 Need Real Name 2000-10-27 15:01:37 EDT
In /etc/sysconfig/desktop I have DESKTOP = KDE.  I would accept your comment about = vs == except that it did not work before I changed it and it did 
work after I changed it.  Is the definition of = dependent on the shell?  Or, does the xinitrc execute before changing to my shell?  I use tcsh.
Comment 3 Preston Brown 2001-01-31 17:21:07 EST
No, it specifically uses bash, so tcsh shouldn't matter.

We can't reproduce this...very strange.

Note You need to log in before you can comment on or make changes to this bug.